import * as t from 'io-ts';
export declare const CommandFromClientV: t.IntersectionC<[t.TypeC<{
    name: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_explorer">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_explorer">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>]>]>;
    text: t.StringC;
}>, t.PartialC<{
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    tags: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"dependent">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"function">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    category: t.UnionC<[t.NumberC, t.StringC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    availability_rules: t.ArrayC<t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>>;
    recommend_rules: t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isNot: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            doesNotInclude: null;
            matchesRegex: null;
            isGreaterThan: null;
            isLessThan: null;
            isBefore: null;
            isAfter: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>]>>;
    availability_expression: t.ArrayC<t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>>;
    recommend_expression: t.ArrayC<t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>>;
    detail: t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>>]>;
}>]>;
