import * as t from 'io-ts';
export declare const ContextV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    name: t.StringC;
    organization: t.StringC;
    value: t.RecordC<t.StringC, t.AnyC>;
}>, t.PartialC<{}>]>;
export declare class Context {
    static create: (object: {
        id: number;
        name: string;
        organization: string;
        value: {
            [x: string]: any;
        };
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        name: string;
        organization: string;
        value: {
            [x: string]: any;
        };
    } & {}>;
    static update: (object: {
        id: number;
        name: string;
        organization: string;
        value: {
            [x: string]: any;
        };
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        name: string;
        organization: string;
        value: {
            [x: string]: any;
        };
    } & {}>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
}
