import * as t from 'io-ts';
export declare const GuideV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    event: t.StringC;
    nudge: t.StringC;
    guidance: t.StringC;
}>, t.PartialC<{}>]>;
export declare class Guide {
    static create: (object: {
        id: number;
        organization: string;
        event: string;
        nudge: string;
        guidance: string;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        event: string;
        nudge: string;
        guidance: string;
    } & {}>;
    static update: (object: {
        id: number;
        organization: string;
        event: string;
        nudge: string;
        guidance: string;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        event: string;
        nudge: string;
        guidance: string;
    } & {}>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
}
