import * as t from 'io-ts';
export declare const CommandGoal: t.TypeC<{
    type: t.LiteralC<"command_executed">;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>;
export declare const PageVisitedGoal: t.TypeC<{
    type: t.LiteralC<"page_visited">;
    value: t.StringC;
}>;
export declare const ElementClickedGoal: t.TypeC<{
    type: t.LiteralC<"element_clicked">;
    value: t.StringC;
}>;
export declare const ConditionsMetGoal: t.TypeC<{
    type: t.LiteralC<"conditions_met">;
    expression: t.Type<import("./rules").RuleExpression, import("./rules").RuleExpression, unknown>;
}>;
export declare const CTAClickedGoal: t.TypeC<{
    type: t.LiteralC<"cta_clicked">;
}>;
export declare const EventTrackedGoal: t.TypeC<{
    type: t.LiteralC<"event_tracked">;
    event: t.StringC;
}>;
