import * as t from 'io-ts';
export declare const PlaceholderV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    slug: t.StringC;
    text: t.StringC;
}>, t.PartialC<{}>]>;
export declare class Placeholder {
    static create: (object: {
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {}>;
    static update: (object: {
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {}>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {})[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        organization: string;
        slug: string;
        text: string;
    } & {}>;
}
