import * as t from 'io-ts';
export declare const TabV: t.TypeC<{
    id: t.NumberC;
    organization: t.UnionC<[t.NumberC, t.StringC]>;
    category_ids: t.ArrayC<t.NumberC>;
    sort_key: t.NumberC;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    label: t.StringC;
    header: t.UnionC<[t.StringC, t.NullC]>;
    description: t.StringC;
    placeholder: t.UnionC<[t.StringC, t.NullC]>;
    render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
}>;
export declare class Tab {
    static decode: (data: any) => {
        id: number;
        organization: string | number;
        category_ids: number[];
        sort_key: number;
        icon: string | null;
        label: string;
        header: string | null;
        description: string;
        placeholder: string | null;
        render_as: "grid" | "list";
    };
}
