import * as t from 'io-ts';
export declare const HelpDocsIntegrationV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    type: t.StringC;
    schedule: t.StringC;
    meta: t.UnionC<[t.RecordC<t.StringC, t.AnyC>, t.NullC]>;
}>, t.PartialC<{}>]>;
export declare class HelpDocsIntegration {
    static create: (object: {
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {}>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {}>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {})[]>;
    static update: (object: {
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
    } & {}>;
    static delete: (id: string | number, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
}
