import * as t from 'io-ts';
export declare const HelpDocsSyncV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    integration: t.NumberC;
    scheduled: t.BooleanC;
}>, t.PartialC<{
    commands: t.ArrayC<t.NumberC>;
    started: t.StringC;
    ended: t.StringC;
    log: t.ArrayC<t.ArrayC<t.AnyC>>;
}>]>;
export declare class HelpDocsSync {
    static create: (object: {
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | undefined;
        ended?: string | undefined;
        log?: any[][] | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | undefined;
        ended?: string | undefined;
        log?: any[][] | undefined;
    }>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        integration: number;
        scheduled: boolean;
    } & {
        commands?: number[] | undefined;
        started?: string | undefined;
        ended?: string | undefined;
        log?: any[][] | undefined;
    })[]>;
}
