import * as t from 'io-ts';
export declare const HistoryEventV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    changed_by: t.StringC;
    description: t.StringC;
    created: t.StringC;
    sha1: t.StringC;
    version_num: t.NumberC;
}>, t.PartialC<{}>]>;
export declare class HistoryEvent {
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        organization: string;
        changed_by: string;
        description: string;
        created: string;
        sha1: string;
        version_num: number;
    } & {})[]>;
}
